Subject: Re: bug#13151: 24.2; tramp with ido: enters self-killing loop when opening /ftp: and hitting enter.

From: Arne Babenhauserheide <[email-masked]>
Date: Thu, 13 Dec 2012 17:01:47 +0100

Am Donnerstag, 13. Dezember 2012, 16:52:58 schrieb Michael Albinus:
> Arne Babenhauserheide <[email-masked]> writes:
> > I would expect that C-x C-w would still work even though I entered a
> > nonsensical path (probably after hitting C-g to abort).
> > 
> > The bug is not that it tried to open arne@ftp, the bug is that I had
> > to kill the buffer and reopen the file to be able to use C-x C-w again.
> 
> You have confused Tramp. To cure it, you could apply
> 
>   M-x tramp-cleanup-this-connection
> 
> See the Tramp manual (info "(tramp)Cleanup remote connections")

Can’t tramp find out itself, that it is confused?

I can now clean it, but every new user will be pretty confused…

Best wishes,
Arne
-- 
1w6 sie zu achten,
sie alle zu finden,
in Spiele zu leiten
und sacht zu verbinden.
→ http://1w6.org